package com.iamberry.app.mapper;

import java.util.List;

import com.iamberry.app.core.entity.Message;
import com.iamberry.app.core.entity.User;
import com.iamberry.app.core.serch.SerchParam;
import com.iamberry.wechat.core.entity.PageBean;

public interface MessageMapper {
	
	/**
	 * 查询符合条件的用户列表
	 * @return
	 */
	public List<User> selectUser(PageBean page);
	
	/**
	 * 获取用户总条数	
	 * @return
	 */
	public int selectUserCount(SerchParam params);
	
	/**
	 * 获取符合条件所有消息
	 * @return 所有的消息
	 */
	public List<Message> selectMessageRecoreds(PageBean page);
	
	/**
	 * 修改一条消息		
	 * @return 影响的行数
	 */
	public int updateMessage(Message message);
	
	/**
	 * 添加一条消息		
	 * @return 影响的行数
	 */
	public int insertMessage(Message message);
	
	

	/**
	 * 获取所有消息的总条数
	 * @return 所有的消息条数
	 */
	public int selectMessageCount(SerchParam params);
	
	/**
	 * 获取系统的所有消息(user为空的)
	 * @param recordId 用户id
	 * @return 用户的所有消息
	 */
	public List<Message> selectSysMessageRecoreds();
	
	/**
	 * 根据信息id获取信息实体类			
	 * @param id 信息id
	 * @return 信息实体类
	 */
	public Message selectUserMessageByid(Long id);
	
	/**
	 * 根据用户id获取该用户的所有消息		
	 * @param userid 用户id
	 * @return 用户下所有的消息
	 */
	public List<Message> selectUserMessageRecoreds(Long userid);
	
	
	/**
	 * 获取某状态的用户消息			
	 * @param userid 用户id 
	 * @param isread 1已读，2 未读
	 * @return 用户消息集合
	 */
	public int selectUserMessageByisread(Long userid,Long isread);

}
